Publications
Explicitly accept the current destination for an existing selected target
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthpublicationId*stringLength
1 <= length- body
expectedRevision*integerRange
0 <= valueexpectedTargetRevisionId*|nullResponse for status 200
application/json- response
destination*curl -X POST 'https://postbot.example/api/projects/string/publications/string/confirm-destination' \
-H 'Content-Type: application/json' \
-d '{
"expectedRevision": 0,
"expectedTargetRevisionId": "string"
}'Example Response
{
"destination": {
"revision": 0,
"confirmedRevision": 0,
"requiresConfirmation": true,
"connected": true,
"current": {},
"history": [
{
"id": "string",
"createdAt": 0,
"destination": {}
}
]
}
}